<template>
  <v-avatar color="#ffffff61" size="80">
    <template v-if="loading">
      <v-progress-circular
        :size="80"
        :width="7"
        color="white"
        indeterminate
        v-if="loading"
      ></v-progress-circular>
    </template>
    <template v-else>
      <v-img
        v-if="src"
        :contain="true"
        :aspect-ratio="1"
        position="center"
        class="white--text align-end"
        :lazy-src="src"
        width="55"
        height="55"
        :src="src"
      />
    </template>
  </v-avatar>
</template>
<script>
import store from "@/store";
const axios = store.state.axiosApiLocal;
export default {
  name: "Component-Icono",
  props: ["uid"],
  data() {
    return {
      src: null,
      loading: true,
      notFound: false,
    };
  },
  methods: {
    getResource() {
      this.loading = true;
      axios(
        "/modelo-negocio/folio-archivos/v1/busquedas/iconos/pasos/" + this.uid
      )
        .then((response) => {
          let data = response.data;
          if (data) {
            let archivo = data.resultado.archivo;
            this.src = archivo.replace("application/xml", "image/svg+xml");
          }
        })
        .catch((error) => {
          if (error.response) {
            if (error.response.status == 404) {
              this.notFound = true;
            }
            console.log(error.response.data);
          }
        })
        .finally(() => {
          this.loading = false;
        });
    },
  },
  created() {
    this.getResource();
  },
};
</script>
